org.apache.nutch.webui.client.model

## Class NutchStatus

- java.lang.Object
- - org.apache.nutch.webui.client.model.NutchStatus

- All Implemented Interfaces:
    java.io.Serializable

      public class NutchStatus
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NutchStatus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getActiveConfId()`
    `java.util.Set<java.lang.String>` | `getConfiguration()`
    `java.util.Collection<JobInfo>` | `getJobs()`
    `java.util.Collection<JobInfo>` | `getRunningJobs()`
    `java.util.Date` | `getStartDate()`
    `void` | `setActiveConfId(java.lang.String activeConfId)`
    `void` | `setConfiguration(java.util.Set<java.lang.String> configuration)`
    `void` | `setJobs(java.util.Collection<JobInfo> jobs)`
    `void` | `setRunningJobs(java.util.Collection<JobInfo> runningJobs)`
    `void` | `setStartDate(java.util.Date startDate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NutchStatus

          public NutchStatus()

  - ### Method Detail

    - #### getStartDate

          public java.util.Date getStartDate()

    - #### setStartDate

          public void setStartDate(java.util.Date startDate)

    - #### getConfiguration

          public java.util.Set<java.lang.String> getConfiguration()

    - #### setConfiguration

          public void setConfiguration(java.util.Set<java.lang.String> configuration)

    - #### getJobs

          public java.util.Collection<JobInfo> getJobs()

    - #### setJobs

          public void setJobs(java.util.Collection<JobInfo> jobs)

    - #### getRunningJobs

          public java.util.Collection<JobInfo> getRunningJobs()

    - #### setRunningJobs

          public void setRunningJobs(java.util.Collection<JobInfo> runningJobs)

    - #### getActiveConfId

          public java.lang.String getActiveConfId()

    - #### setActiveConfId

          public void setActiveConfId(java.lang.String activeConfId)

Copyright © 2019 The Apache Software Foundation